Patch User Roles On Organization

Patch User Roles On Organization

Use this API instead:

  • /cloudapi/1.0.0/users/{{userUrn}}

Update service and organization roles of a user in the organization.

Access Policy

Role Access
Platform operator ✔️
Organization Owner ✔️
Organization Member
Service Account (Whitelisted Client)
Request
URI
PATCH
https://vra-interop-222-139.lvn.broadcom.net/csp/gateway/am/api/v3/users/{userId}/orgs/{orgId}/roles
COPY
Path Parameters
string
userId
Required

userId

string
orgId
Required

orgId


Request Body
UpdateMemberRolesRequest of type(s) application/json
Required
{
    "organizationRoles": {
        "roleNamesToAdd": [
            "string"
        ],
        "rolesToAdd": [
            {
                "id": "string",
                "name": "string",
                "membershipType": "string",
                "expiresAt": "string"
            }
        ],
        "roleNamesToRemove": [
            "string"
        ],
        "rolesToRemove": [
            {
                "id": "string",
                "name": "string",
                "membershipType": "string",
                "expiresAt": "string"
            }
        ]
    },
    "serviceRoles": [
        {
            "roleNamesToAdd": [
                "string"
            ],
            "rolesToAdd": [
                {
                    "id": "string",
                    "name": "string",
                    "membershipType": "string",
                    "expiresAt": "string"
                }
            ],
            "roleNamesToRemove": [
                "string"
            ],
            "rolesToRemove": [
                {
                    "id": "string",
                    "name": "string",
                    "membershipType": "string",
                    "expiresAt": "string"
                }
            ],
            "serviceDefinitionId": "string"
        }
    ]
}
object
organizationRoles
Optional

organizationRoles

array of object
serviceRoles
Optional

serviceRoles

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Operation doesn't return any data structure

401

The user is not authorized to use the API.

Operation doesn't return any data structure

403

The organization is not found.

Operation doesn't return any data structure

404

The user is not found.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'